
Redmine - Defect #12431

Project.rebuild! sorts root projects by id instead of name

2012-11-23 18:35 - Jean-Philippe Lang

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Projects Estimated time: 0.00 hour

Target version: 2.1.4   

Resolution: Fixed Affected version:  

Description

Related issues:

Related to Redmine - Feature #6836: Sort project list by Name instead of iden... Closed 2010-11-05

Associated revisions

Revision 10865 - 2012-11-23 18:36 - Jean-Philippe Lang

Do not create projects in alphabetical order in nested set tests (#12431).

Revision 10866 - 2012-11-23 18:39 - Jean-Philippe Lang

Fixed that Project.rebuild! sorts projects by id instead of name (#12431).

Revision 10873 - 2012-11-23 23:31 - Jean-Philippe Lang

Merged r10865 and r10866 from trunk (#12431).

Revision 12683 - 2014-01-21 07:29 - Toshi MARUYAMA

call Project#set_or_update_position_under in Project.rebuild_tree! (#12431)

History

#1 - 2012-11-23 18:35 - Jean-Philippe Lang

- Subject changed from Project.rebuild! sort projects by id instead of name to Project.rebuild! sorts projects by id instead of name

#2 - 2012-11-23 19:04 - Jean-Philippe Lang

- Subject changed from Project.rebuild! sorts projects by id instead of name to Project.rebuild! sorts root projects by id instead of name

- Status changed from New to Resolved

- Resolution set to Fixed

#3 - 2012-11-23 23:31 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in 2.1-stable.
